//
//  MyApplicationsHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/9/18.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "MyApplicationsHttpCmd.h"
#import "MyApplicationsHttpResult.h"

static NSString *kActionUrl1 = @"/enterprise/activity/myChoice";

@implementation MyApplicationsHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MyApplicationsHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MyApplicationsHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpMyApplicationsHttpCmd_empid = @"empid";
NSString *const kHttpMyApplicationsHttpCmd_type = @"type";
NSString *const kHttpMyApplicationsHttpCmd_system = @"system";
